.tag-cloud {
  padding: 1rem;
  text-align: center;
}

.tag-list {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1rem;
}

.tag-card {
  display: inline-flex;
  align-items: center;
  gap: 0.6rem;
  padding: 0.6rem 1rem;
  border: 1px solid #cfa670;
  border-radius: 25px;
  font-size: 0.95rem;
  color: #1a1a1a;
  background-color: #fefefe;
  text-decoration: none;
  transition: all 0.3s ease;
  font-family: 'Inter', sans-serif;
  position: relative;
}

.tag-card:hover {
  background-color: #f8f1eb;
  border-color: #e6bb84;
  color: #000;
}

.tag-close {
  font-size: 0.85rem;
  background: none;
  border: none;
  color: #999;
  cursor: pointer;
  padding: 0;
  margin-left: 4px;
  line-height: 1;
  transition: color 0.3s ease;
}

.tag-close:hover {
  color: #cfa670;
}


.search-container {
  display: flex;
  justify-content: center;
  margin: 40px auto;
}

.search-input {
  padding: 12px 20px;
  font-size: 16px;
  border: none;
  border-radius: 30px;
  background-color: #f4f4f4;

  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  font-family: 'Inter', sans-serif;
  width: 60%;
  max-width: 500px;
  transition: box-shadow 0.3s ease;
}

.search-input:focus {
  outline: none;
  box-shadow: 0 0 0 3px rgba(149, 145, 146, 0.2);
}

/* suggestions */

/* .suggestions-box {
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  width: 60%;
  max-width: 500px;
  background-color: white;
  border-radius: 20px;
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.1);
  margin-top: 10px;
  z-index: 1000;
  overflow: hidden;
} */

.suggestions-box {
  position: absolute;
  top: 100%;
  width: 60%;
  max-width: 500px;
  background-color: white;
  border-radius: 20px;
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.1);
  z-index: 1;
  margin-top: 4px;
}

.suggestion-item {
  padding: 12px 20px;
  font-size: 15px;
  font-family: 'Inter', sans-serif;
  cursor: pointer;
  border-bottom: 1px solid #eee;
  transition: background-color 0.2s;
}

.suggestion-item:last-child {
  border-bottom: none;
}

.suggestion-item:hover {
  background-color: #f9f9f9;
}



.search-wrapper {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 40px auto;
  width: 100%;
}

/* .search-input {
  padding: 12px 20px;
  font-size: 16px;
  border: none;
  border-radius: 30px;
  background-color: #f4f4f4;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  font-family: 'Inter', sans-serif;
  width: 60%;
  max-width: 500px;
  transition: box-shadow 0.3s ease;
  z-index: 2;
}

.search-input:focus {
  outline: none;
  box-shadow: 0 0 0 3px rgba(233, 30, 99, 0.2);
} */



.suggestion-item {
  padding: 12px 20px;
  font-size: 15px;
  font-family: 'Inter', sans-serif;
  cursor: pointer;
  border-bottom: 1px solid #eee;
  transition: background-color 0.2s;
}

.suggestion-item:last-child {
  border-bottom: none;
}

.suggestion-item:hover {
  background-color: #f9f9f9;
}


